{ inputs, config, pkgs, ... }:
let
in
    {
    home.username = "ubuntu";
    home.homeDirectory = "/home/ubuntu";
    nix = {
        package = pkgs.nix;
        settings.use-xdg-base-directories = true;
    };

    xdg.enable = true;

    imports = [
        (import ./utils/common.nix { inherit inputs config pkgs; })
        ./ssh
    ];
    programs.ssh.matchBlocks."*".identityFile = "/home/ubuntu/.secrets/SSH/Arm/id_ed25519";

    home.sessionVariables = {
        NIX_PATH = "${config.xdg.stateHome}/nix/profiles/channels/";
        LANG = "en_US.UTF-8";
        XDG_RUNTIME_DIR = "/run/ubuntu/$(id -u)";
    };

    programs.zsh.initContent = pkgs.lib.mkAfter ''
      LOCAL_SEARCH_DIRS=(~/.dotfiles/)
      REMOTE_SEARCH_DIRS=()
    '';
}
