{ inputs, config, pkgs, ... }:

{
    imports = [
        (import ./utils/desktop.nix { inherit inputs config pkgs; })
    ];

    programs.ssh.matchBlocks."*".identityFile = "/home/user/.secrets/SSH/Asturia/id_ed25519";

    home.packages = with pkgs; [
        distrobox
        wl-clipboard
        jq
        evince
    ];
    wayland.windowManager.hyprland.settings = {
        "$mainMod" =  pkgs.lib.mkForce "ALT_L";
        "$altMod" = pkgs.lib.mkForce "SUPER";
        monitor = [
            "Virtual-1,1920x1080@60,0x0,1"
            "DP-1,1920x1080@60,0x0,1"
            "HDMI-A-1,1920x1080@60,0x0,1"
        ];
        general.gaps_out = 1;
    };
    services.hyprpaper = {
        settings = {
            wallpaper = [
                "Virtual-1,${./hyprland/files/wallpaper.png}"
                "DP-1,${./hyprland/files/wallpaper.png}"
                "HDMI-A-1,${./hyprland/files/wallpaper.png}"
            ];
        };
    };
    programs.alacritty.settings.font.size = 12;
    programs.kitty.font.size = 12;
}
