{ pkgs, ... }:

{
    programs.git = {
        enable = true;
        userName = "Thomas Avé";
        userEmail = "email@thomasave.be";
        lfs.enable = true;
        aliases = {
            s = "status";
            a = "add";
        };
        ignores = [
            "*.direnv/"
            ".dmypy.json"
        ];
        extraConfig = {
            credentials.helper = "store";
            pull.rebase = false;
            push.autoSetupRemove = true;
            branch.autoSetupMerge = "simple";
            init.defaultBranch = "master";
            diff.noprefix = true;
            color.ui = "auto";
            core = {
                excludesfile = "~/.gitignore";
                editor = "${pkgs.neovim}/bin/nvim";
            };
            rerere.enabled = true;
        };
    };
    programs.lazygit = {
        enable = true;
        settings = {
            os = {
                editPreset = "nvim";
            };
        };
    };
}
