return {
    "catppuccin/nvim",
    name = "catppuccin",
    opts = {
        flavour = "mocha",
        integrations = {
            mason = true,
            lsp_trouble = true,
            blink_cmp = true,
        },
        custom_highlights = function(colors)
            return {
                TelescopeNormal = { bg = "#191926"},
                TelescopeBorder = { bg = "#191926", fg = "#191926" },
                TelescopePromptBorder = { bg = "#191926", fg = "#191926" },
                TelescopeTitle = { fg = colors.blue },
                WinSeparator = { fg = "#023269" },
                FlashCursor = { bg = colors.red },
                SnacksIndent = { fg = "#303240" },
            }
        end,
        color_overrides = {
            mocha = {
                -- this 16 colors are changed to onedark
                base = "#16161E",
                text = "#A6ADD2",
                rosewater = "#b6bdca",
                lavender = "#ed8897",
                red = "#e06c75",
                peach = "#d19a66",
                yellow = "#e5c07b",
                green = "#98c379",
                teal = "#56b6c2",
                blue = "#61afef",
                mauve = "#c678dd",
                flamingo = "#be5046",
                pink="#ef9f76"
            }
        }
    },
    config = function (_, opts)
        require("catppuccin").setup(opts)
        vim.cmd("colorscheme catppuccin")
    end
}
