{ config, pkgs, fzgo_paths }:
let
    mkLink = source_path: file_type: {
        "${source_path}-${file_type}" = {
            source = config.lib.file.mkOutOfStoreSymlink source_path;
            target = ".config/fzgo/entries/${file_type}/${pkgs.lib.strings.replaceStrings [ "/" ] [ "|" ] source_path}";
        };
    };
    links = (map (source_path: mkLink source_path "f") fzgo_paths.files) ++ (map (source_path: mkLink source_path "d") fzgo_paths.dirs);
in {
    home.file = pkgs.lib.mkMerge links;
}
