{ pkgs, config, ... }:
{
    services.xserver.videoDrivers = [ "nvidia" ];
    environment.systemPackages = with pkgs; [
        pciutils
        file
        gnumake
        gcc
        cudatoolkit
        podman
        nvidia-container-toolkit
    ];
    nixpkgs.config.cudaSupport = true;
    hardware.nvidia-container-toolkit.enable = true;
    hardware.nvidia = {
        package = config.boot.kernelPackages.nvidiaPackages.beta;
        modesetting.enable = true;
        powerManagement.enable = true;
        powerManagement.finegrained = false;
        open = false;
        nvidiaSettings = true;
    };
}
