{
    description = "Home Manager configuration of vault";

    inputs = {
        # Specify the source of Home Manager and Nixpkgs.
        nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
        home-manager = {
            url = "github:nix-community/home-manager";
            inputs.nixpkgs.follows = "nixpkgs";
        };
        fzgo.url = "git+https://git.thomasave.be/thomasave/fzgo.git";
    };

    outputs = { nixpkgs, home-manager, ... }@inputs:
        let
            system = "x86_64-linux";
            pkgs = nixpkgs.legacyPackages.${system};
        in {
            homeConfigurations."server" = home-manager.lib.homeManagerConfiguration {
                inherit pkgs;

                # Specify your home configuration modules here, for example,
                # the path to your home.nix.
                modules = [ ../../home/Vault.nix ];

                # Optionally use extraSpecialArgs
                # to pass through arguments to home.nix
                extraSpecialArgs = {
                    inherit inputs;
                }; # allows access to flake inputs in hm modules
            };
        };
}
